import store from '@/store';
function getMiniProgram() {
    const miniProgram = wx.getAccountInfoSync();
    return miniProgram;
    // this.version = miniProgram.miniProgram.version;
}
function getAppId() {
    const miniProgram = wx.getAccountInfoSync();
    return miniProgram && miniProgram.miniProgram && miniProgram.miniProgram.appId || 'wxda2ef261ac3cca32';
}

// 正式版本上能获取,体验和开发版本无法获取到版本号
function getVersion() {
    const miniProgram = wx.getAccountInfoSync();
    return miniProgram && miniProgram.miniProgram && miniProgram.miniProgram.version;
}

// 获取时间戳
function getTimeStamp() {
    let timeStamp = Date.parse(new Date());
    return timeStamp;
}

// http请求通用参数
function commonParams() {
    // openid=${storeUser().openId}&
    let url = `pubname=${config.brsgServer.pubname}`
    if (storeUser().projectId) {
        url = url + `&projectId=${storeUser().projectId}`
    }
    if (storeUser().userName) {
        url = url + `&userName=${storeUser().userName}`
    }
    if (storeUser().userId) {
        url = url + `&userId=${storeUser().userId}`
    }
    if (storeToken()) {
        url = url + `&saga-token=${storeToken()}`
    }
    return url;
}


export {
    getAppId,
    getVersion,
    getTimeStamp,
    getMiniProgram,
    commonParams
}